Compare commits

...
Sign in to create a new pull request.

1 commit

Author SHA1 Message Date
Packit
488a1a00f5 Update to 1.0.0 upstream release
Upstream tag: v1.0.0
Upstream commit: 4fed3a2e

Commit authored by Packit automation (https://packit.dev/)
2024-10-16 11:38:39 +02:00
5 changed files with 20 additions and 14 deletions

1
.gitignore vendored
View file

@ -9,3 +9,4 @@
/openscap-report-0.2.6.tar.gz
/openscap-report-0.2.7.tar.gz
/openscap_report-0.2.9.tar.gz
/openscap_report-1.0.0.tar.gz

View file

@ -1,3 +1,3 @@
This repository is maintained by packit.
https://packit.dev/
The file was generated using packit 0.95.0.
The file was generated using packit 0.101.1.post1.dev8+ge78e9e3b.

View file

@ -49,7 +49,7 @@ run_oscap_scan() {
oscap xccdf eval ${fetch} --profile "(all)" --results-arf ${file} ${ds} || EXIT_CODE=$?
echo $EXIT_CODE
if [ ! -f "$file" ]; then
echo "$file does not exist."
echo "$file does not exist." >&2
exit 2
fi
}
@ -58,35 +58,35 @@ get_product() {
cpe_name=$(grep "CPE_NAME=" < /etc/os-release | sed 's/CPE_NAME=//g' | sed 's/["]//g')
if [[ "${cpe_name}" =~ fedora ]]; then
echo "fedora"
elif [[ "${cpe_name}" =~ redhat.*8 ]]; then
echo "rhel8"
elif [[ "${cpe_name}" =~ redhat.*9 ]]; then
echo "rhel9"
elif [[ "${cpe_name}" =~ redhat ]]; then
version=$(grep VERSION_ID /etc/os-release | grep -o "[0-9]\+" | head -n1)
echo "rhel${version}"
elif [[ "${cpe_name}" =~ centos.*8 ]]; then
echo "centos8"
elif [[ "${cpe_name}" =~ centos.*9 ]]; then
echo "cs9"
elif [[ "${cpe_name}" =~ centos ]]; then
version=$(grep VERSION_ID /etc/os-release | grep -o "[0-9]\+")
echo "cs${version}"
else
echo $cpe_name
echo "ERROR: Not supported OS!"
echo "ERROR: Not supported OS!" >&2
exit 1
fi
}
if [ "$1" = "" ]; then
echo "ERROR: Missing MODE parameter!"
echo "ERROR: Missing MODE parameter!" >&2
exit 1
fi
if [ "$2" = "" ]; then
echo "ERROR: Missing FETCH parameter!"
echo "ERROR: Missing FETCH parameter!" >&2
exit 1
fi
if [ "$3" = "" ]; then
echo "ERROR: Missing ARF_FILE parameter!"
echo "ERROR: Missing ARF_FILE parameter!" >&2
exit 1
fi
file=$3

View file

@ -1,7 +1,7 @@
%global pymodule_name openscap_report
Name: openscap-report
Version: 0.2.9
Version: 1.0.0
Release: 1%{?dist}
Summary: A tool for generating human-readable reports from (SCAP) XCCDF and ARF results
@ -23,6 +23,8 @@ Requires: python3-lxml
Recommends: redhat-display-fonts
Recommends: redhat-text-fonts
Obsoletes: oval-graph
%global _description %{expand:
This package provides a command-line tool for generating
human-readable reports from SCAP XCCDF and ARF results.}
@ -64,6 +66,9 @@ install -m 0644 -Dt %{buildroot}%{_mandir}/man1 _build_docs/oscap-report.1
%changelog
* Fri Oct 04 2024 Packit <hello@packit.dev> - 1.0.0-1
- Update to version 1.0.0
* Tue Apr 23 2024 Packit <hello@packit.dev> - 0.2.9-1
- Update to version 0.2.9

View file

@ -1 +1 @@
SHA512 (openscap_report-0.2.9.tar.gz) = d8bca302a8209a57fc63b802dbffa40bd9499221dc6d0a038a168ac3266441cece78548fab44db5aa2f14cd3aa083f059c05ac5ec01150a3ce542dda7937bb25
SHA512 (openscap_report-1.0.0.tar.gz) = 6ca5a24798961cfc50112e9da9157f582732574fef4592a7fe5c8a98b4ed4b9aa3f7221427bd5e95a799a82468a22a2eddfb2262c6fc22cd2e4262540913db03